Bug 124201 - Cleanup the build from unused parameters in WebKit2
Summary: Cleanup the build from unused parameters in WebKit2
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-12 06:04 PST by Tibor Mészáros
Modified: 2013-11-15 05:07 PST (History)
11 users (show)

See Also:


Attachments
Patch (17.59 KB, patch)
2013-11-12 06:23 PST, Tibor Mészáros
no flags Details | Formatted Diff | Diff
Patch v2 (17.59 KB, patch)
2013-11-12 06:31 PST, Tibor Mészáros
no flags Details | Formatted Diff | Diff
Patch v3 (14.12 KB, patch)
2013-11-12 06:35 PST, Tibor Mészáros
no flags Details | Formatted Diff | Diff
Patch v4 (17.59 KB, patch)
2013-11-12 09:03 PST, Tibor Mészáros
no flags Details | Formatted Diff | Diff
Patch v5 (15.91 KB, patch)
2013-11-12 09:51 PST, Tibor Mészáros
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tibor Mészáros 2013-11-12 06:04:38 PST
There should be some unused parametes, that cause build warning during EFL / EFL --minimal build in WebKit2.
Comment 1 Tibor Mészáros 2013-11-12 06:23:12 PST
Created attachment 216661 [details]
Patch

There were some unused parameters, that cause build warning during EFL / EFL --minimal build in WebKit2, this patch will fix most of them.
Comment 2 Gyuyoung Kim 2013-11-12 06:29:21 PST
In Bug 124202, you only touch EFL WK1. That's why I said to add [EFL] prefix in title. However, this bug isn't only for EFL port. So, you have not to add [EFL] prefix.
Comment 3 Tibor Mészáros 2013-11-12 06:31:23 PST
Created attachment 216664 [details]
Patch v2

Fixed the title in the patch.
Comment 4 Tibor Mészáros 2013-11-12 06:35:10 PST
Created attachment 216666 [details]
Patch v3

Restored the original title
Comment 5 Tibor Mészáros 2013-11-12 09:03:31 PST
Created attachment 216680 [details]
Patch v4

Updated the patch to be up to date.
Comment 6 Tibor Mészáros 2013-11-12 09:51:41 PST
Created attachment 216690 [details]
Patch v5

reUpdated the patch to be up to date.
Comment 7 Csaba Osztrogonác 2013-11-13 02:06:35 PST
LGTM, but it needs WK2 owner review. WK2 owners?
Comment 8 WebKit Commit Bot 2013-11-14 10:59:41 PST
Comment on attachment 216690 [details]
Patch v5

Rejecting attachment 216690 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.appspot.com', '--bot-id=webkit-cq-02', 'apply-attachment', '--no-update', '--non-interactive', 216690, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
_by_email
    return self._reviewer_only(self.contributor_by_email(email))
  File "/Volumes/Data/EWS/WebKit/Tools/Scripts/webkitpy/common/config/committers.py", line 264, in contributor_by_email
    return self._email_to_account_map().get(email.lower()) if email else None
  File "/Volumes/Data/EWS/WebKit/Tools/Scripts/webkitpy/common/config/committers.py", line 164, in _email_to_account_map
    assert(email not in self._accounts_by_email)  # We should never have duplicate emails.
AssertionError

Full output: http://webkit-queues.appspot.com/results/23688024
Comment 9 Csaba Osztrogonác 2013-11-15 05:07:22 PST
Comment on attachment 216690 [details]
Patch v5

Clearing flags on attachment: 216690

Committed r159333: <http://trac.webkit.org/changeset/159333>
Comment 10 Csaba Osztrogonác 2013-11-15 05:07:37 PST
All reviewed patches have been landed.  Closing bug.